<template>
  <footer class="footer-home pt-48 pb-24">
    <div class="container">
      <div class="row">
        <div class="col-lg-8 col-12 text-center text-lg-left pb-32 pr-24" style="border-right: 1px solid #0E213D;">
          <div class="mb-16">
            <nuxt-link class="logo" to="/">
              <img src="@/static/images/logo-home.svg" alt="Logo" />
            </nuxt-link>
          </div>
          <p class="mb-24">
            US Star Trucking LLC, is one of the country’s top Auto Transport firms, specializing in the shipping of privately owned vehicles, motorcycles, and heavy equipment to and from all fifty states as well as international.
          </p>
          <div class="d-flex flex-lg-row flex-column align-items-lg-center align-items-start mb-8 justify-content-around flex-wrap">
          <a href="'tel: +1(865) 312-6670'" class="d-flex align-items-center contact-info-home">
              <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M10.8333 2.5C10.8333 2.5 12.6666 2.66667 14.9999 5C17.3333 7.33333 17.4999 9.16667 17.4999 9.16667" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                <path d="M11.0059 5.44629C11.0059 5.44629 11.8308 5.68199 13.0683 6.91943C14.3057 8.15686 14.5414 8.98182 14.5414 8.98182" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                <path d="M7.53132 5.26356L8.07217 6.23267C8.56025 7.10723 8.36432 8.25452 7.59559 9.02325C7.59559 9.02325 7.59559 9.02325 7.59559 9.02325C7.59548 9.02337 6.66325 9.95581 8.35376 11.6463C10.0436 13.3362 10.976 12.4053 10.9768 12.4045C10.9769 12.4045 10.9768 12.4045 10.9769 12.4045C11.7456 11.6358 12.8929 11.4398 13.7674 11.9279L14.7365 12.4688C16.0571 13.2058 16.2131 15.0578 15.0523 16.2186C14.3548 16.9161 13.5003 17.4588 12.5558 17.4946C10.9656 17.5549 8.26523 17.1525 5.55642 14.4437C2.84761 11.7348 2.44518 9.03443 2.50546 7.44432C2.54127 6.49975 3.084 5.64528 3.7815 4.94777C4.9423 3.78698 6.79431 3.94295 7.53132 5.26356Z" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
              </svg>
            <div>
              <p>
                Have a question?
              </p>
              <h6>(865) 312-6670</h6>
            </div>
          </a>
          <a href="'mailto: usstartrucking@gmail.com'" class="d-flex align-items-center contact-info-home">
            <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M1.66675 9.99992C1.66675 6.85722 1.66675 5.28587 2.64306 4.30956C3.61937 3.33325 5.19072 3.33325 8.33342 3.33325H11.6667C14.8094 3.33325 16.3808 3.33325 17.3571 4.30956C18.3334 5.28587 18.3334 6.85722 18.3334 9.99992C18.3334 13.1426 18.3334 14.714 17.3571 15.6903C16.3808 16.6666 14.8094 16.6666 11.6667 16.6666H8.33341C5.19072 16.6666 3.61937 16.6666 2.64306 15.6903C1.66675 14.714 1.66675 13.1426 1.66675 9.99992Z" stroke="#0060B7" stroke-width="1.2"/>
              <path d="M5 6.66675L6.79908 8.16598C8.32961 9.44142 9.09488 10.0791 10 10.0791C10.9051 10.0791 11.6704 9.44142 13.2009 8.16598L15 6.66675" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
            </svg>

            <div>
              <p>
                Contact us at
              </p>
              <h6>usstartrucking@gmail.com</h6>
            </div>
          </a>
<!--          <a href="https://goo.gl/maps/smdxFd1FoiJdeKXk7" class="d-flex align-items-center contact-info-home">-->
<!--            <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--              <path d="M3.33325 8.45283C3.33325 4.70498 6.31802 1.66675 9.99992 1.66675C13.6818 1.66675 16.6666 4.70498 16.6666 8.45283C16.6666 12.1713 14.5388 16.5104 11.219 18.0621C10.4451 18.4238 9.5547 18.4238 8.78081 18.0621C5.46102 16.5104 3.33325 12.1713 3.33325 8.45283Z" stroke="#0060B7" stroke-width="1.2"/>-->
<!--              <ellipse cx="10" cy="8.33325" rx="2.5" ry="2.5" stroke="#0060B7" stroke-width="1.2"/>-->
<!--            </svg>-->


<!--            <div>-->
<!--              <p>-->
<!--                Address-->
<!--              </p>-->
<!--              <h6>9111 Cross Park Dr D200 #1013, Knoxville, TN 37923</h6>-->
<!--            </div>-->
<!--          </a>-->
          </div>
        </div>
        <div class="col-lg-4 col-12 pr-24">
            <h5 class="mb-8">
              Get $50 Discount
            </h5>
          <p>
            Wait! Did you forget your bonus? <br>
            Grab $50 off your car shipment
          </p>
          <div v-if="sent" class="email-input-home mt-20">
            <h5 class="mb-8">
              We got your message
            </h5>
          <label for="">
            Responsible agent will contact you within 1 hour.
          </label>

          </div>
          <div v-else class="email-input-home mt-20" :class="{ 'hasError': $v.info.email.$anyError}">
          <label for="">
            Email
          </label>
            <svg class="email-icon" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M1.66675 9.99992C1.66675 6.85722 1.66675 5.28587 2.64306 4.30956C3.61937 3.33325 5.19072 3.33325 8.33342 3.33325H11.6667C14.8094 3.33325 16.3808 3.33325 17.3571 4.30956C18.3334 5.28587 18.3334 6.85722 18.3334 9.99992C18.3334 13.1426 18.3334 14.714 17.3571 15.6903C16.3808 16.6666 14.8094 16.6666 11.6667 16.6666H8.33341C5.19072 16.6666 3.61937 16.6666 2.64306 15.6903C1.66675 14.714 1.66675 13.1426 1.66675 9.99992Z" stroke="#0060B7" stroke-width="1.5"/>
              <path d="M5 6.66675L6.79908 8.16598C8.32961 9.44142 9.09488 10.0791 10 10.0791C10.9051 10.0791 11.6704 9.44142 13.2009 8.16598L15 6.66675" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
            </svg>
            <div class="relative">
            <el-input
              placeholder="example@usst.com"
              v-model="info.email"
          ></el-input>
              <p :class="$v.info.email.$anyError ? 'd-block' : 'd-none'">*Please enter a valid email address!</p>

              <button @click="send2">Submit</button>
</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div
          class="col-12 footer-bottom"
          style="border-top: 1px solid #0E213D"
        >
          <div class="d-flex flex-md-row flex-column align-items-center justify-content-between footer-links mt-32 mb-28">
            <a :href="item.link" v-for="(item, index) in footerLink" :key="index">
              {{item.text}}
            </a>
          </div>
          <div
            class="
              d-flex
              justify-content-sm-between
              flex-wrap
              justify-content-center
            "
          >
            <div class="socials d-flex justify-content-center">
              <a href="https://www.instagram.com/usstartrucking" target="_blank">
                <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <rect width="36" height="36" rx="18" fill="#0060B7" fill-opacity="0.06"/>
                  <path d="M18 11.4458C20.1205 11.4458 20.4096 11.4458 21.2771 11.4458C22.0482 11.4458 22.4337 11.6386 22.7229 11.7349C23.1084 11.9277 23.3976 12.0241 23.6867 12.3133C23.9759 12.6024 24.1687 12.8916 24.2651 13.2771C24.3614 13.5663 24.4578 13.9518 24.5542 14.7229C24.5542 15.5904 24.5542 15.7831 24.5542 18C24.5542 20.2169 24.5542 20.4096 24.5542 21.2771C24.5542 22.0482 24.3614 22.4337 24.2651 22.7229C24.0723 23.1084 23.9759 23.3976 23.6867 23.6867C23.3976 23.9759 23.1084 24.1687 22.7229 24.2651C22.4337 24.3614 22.0482 24.4578 21.2771 24.5542C20.4096 24.5542 20.2169 24.5542 18 24.5542C15.7831 24.5542 15.5904 24.5542 14.7229 24.5542C13.9518 24.5542 13.5663 24.3614 13.2771 24.2651C12.8916 24.0723 12.6024 23.9759 12.3133 23.6867C12.0241 23.3976 11.8313 23.1084 11.7349 22.7229C11.6386 22.4337 11.5422 22.0482 11.4458 21.2771C11.4458 20.4096 11.4458 20.2169 11.4458 18C11.4458 15.7831 11.4458 15.5904 11.4458 14.7229C11.4458 13.9518 11.6386 13.5663 11.7349 13.2771C11.9277 12.8916 12.0241 12.6024 12.3133 12.3133C12.6024 12.0241 12.8916 11.8313 13.2771 11.7349C13.5663 11.6386 13.9518 11.5422 14.7229 11.4458C15.5904 11.4458 15.8795 11.4458 18 11.4458ZM18 10C15.7831 10 15.5904 10 14.7229 10C13.8554 10 13.2771 10.1928 12.7952 10.3855C12.3133 10.5783 11.8313 10.8675 11.3494 11.3494C10.8675 11.8313 10.6747 12.2169 10.3855 12.7952C10.1928 13.2771 10.0964 13.8554 10 14.7229C10 15.5904 10 15.8795 10 18C10 20.2169 10 20.4096 10 21.2771C10 22.1446 10.1928 22.7229 10.3855 23.2048C10.5783 23.6867 10.8675 24.1687 11.3494 24.6506C11.8313 25.1325 12.2169 25.3253 12.7952 25.6145C13.2771 25.8072 13.8554 25.9036 14.7229 26C15.5904 26 15.8795 26 18 26C20.1205 26 20.4096 26 21.2771 26C22.1446 26 22.7229 25.8072 23.2048 25.6145C23.6867 25.4217 24.1687 25.1325 24.6506 24.6506C25.1325 24.1687 25.3253 23.7831 25.6145 23.2048C25.8072 22.7229 25.9036 22.1446 26 21.2771C26 20.4096 26 20.1205 26 18C26 15.8795 26 15.5904 26 14.7229C26 13.8554 25.8072 13.2771 25.6145 12.7952C25.4217 12.3133 25.1325 11.8313 24.6506 11.3494C24.1687 10.8675 23.7831 10.6747 23.2048 10.3855C22.7229 10.1928 22.1446 10.0964 21.2771 10C20.4096 10 20.2169 10 18 10Z" fill="#0060B7"/>
                  <path d="M18 13.8554C15.6867 13.8554 13.8554 15.6867 13.8554 18C13.8554 20.3133 15.6867 22.1446 18 22.1446C20.3133 22.1446 22.1446 20.3133 22.1446 18C22.1446 15.6867 20.3133 13.8554 18 13.8554ZM18 20.6988C16.5542 20.6988 15.3012 19.5422 15.3012 18C15.3012 16.5542 16.4578 15.3012 18 15.3012C19.4458 15.3012 20.6988 16.4578 20.6988 18C20.6988 19.4458 19.4458 20.6988 18 20.6988Z" fill="#0060B7"/>
                  <path d="M22.241 14.7229C22.7733 14.7229 23.2048 14.2914 23.2048 13.759C23.2048 13.2267 22.7733 12.7952 22.241 12.7952C21.7086 12.7952 21.2771 13.2267 21.2771 13.759C21.2771 14.2914 21.7086 14.7229 22.241 14.7229Z" fill="#0060B7"/>
                </svg>

              </a>
              <a href="https://www.facebook.com/usstartrucking" target="_blank">
                <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <rect width="36" height="36" rx="18" fill="#0060B7" fill-opacity="0.06"/>
                  <path d="M28 18C28 12.5 23.5 8 18 8C12.5 8 8 12.5 8 18C8 23 11.625 27.125 16.375 27.875V20.875H13.875V18H16.375V15.75C16.375 13.25 17.875 11.875 20.125 11.875C21.25 11.875 22.375 12.125 22.375 12.125V14.625H21.125C19.875 14.625 19.5 15.375 19.5 16.125V18H22.25L21.75 20.875H19.375V28C24.375 27.25 28 23 28 18Z" fill="#0060B7"/>
                </svg>

              </a>
              <a href=" https://twitter.com/usstartrucking" target="_blank">
                <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <rect width="36" height="36" rx="18" fill="#0060B7" fill-opacity="0.06"/>
                  <path d="M26 13.2998C25.4 13.5998 24.8 13.6998 24.1 13.7998C24.8 13.3998 25.3 12.7998 25.5 11.9998C24.9 12.3998 24.2 12.5998 23.4 12.7998C22.8 12.1998 21.9 11.7998 21 11.7998C18.9 11.7998 17.3 13.7998 17.8 15.7998C15.1 15.6998 12.7 14.3998 11 12.3998C10.1 13.8998 10.6 15.7998 12 16.7998C11.5 16.7998 11 16.5998 10.5 16.3998C10.5 17.8998 11.6 19.2998 13.1 19.6998C12.6 19.7998 12.1 19.8998 11.6 19.7998C12 21.0998 13.2 22.0998 14.7 22.0998C13.5 22.9998 11.7 23.4998 10 23.2998C11.5 24.1998 13.2 24.7998 15 24.7998C21.1 24.7998 24.5 19.6998 24.3 14.9998C25 14.5998 25.6 13.9998 26 13.2998Z" fill="#0060B7"/>
                </svg>

              </a>
              <a href=" https://www.linkedin.com/company/usstartruckingllc"
                  target="_blank"
              >
                <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <rect width="36" height="36" rx="18" fill="#0060B7" fill-opacity="0.06"/>
                  <path d="M13.6 26H10.2V15.3H13.6V26ZM11.9 13.8C10.8 13.8 10 13 10 11.9C10 10.8 10.9 10 11.9 10C13 10 13.8 10.8 13.8 11.9C13.8 13 13 13.8 11.9 13.8ZM26 26H22.6V20.2C22.6 18.5 21.9 18 20.9 18C19.9 18 18.9 18.8 18.9 20.3V26H15.5V15.3H18.7V16.8C19 16.1 20.2 15 21.9 15C23.8 15 25.8 16.1 25.8 19.4V26H26Z" fill="#0060B7"/>
                </svg>

              </a>
            </div>
            <p>© 2023 US Star Trucking. All rights reserved.</p>
          </div>
        </div>
      </div>
    </div>
  </footer>
<!--  <footer v-else class="footer pt-48 pb-24">-->
<!--    <div class="container map">-->
<!--      <div class="row">-->
<!--        <div class="col-lg-2 col-12 text-center text-lg-left">-->
<!--          <div class="pb-16">-->
<!--            <nuxt-link class="logo" to="/">-->
<!--              <img src="@/static/images/logo-footer.svg" alt="Logo" />-->
<!--            </nuxt-link>-->
<!--          </div>-->
<!--          <div>-->
<!--            <a class="logo" href="https://www.fmcsa.dot.gov/">-->
<!--              <img src="@/static/images/fmcsa-footer.svg" alt="Trucking pics" />-->
<!--            </a>-->
<!--          </div>-->
<!--        </div>-->
<!--        <div class="col-lg-6 col-12">-->
<!--          <div class="d-flex justify-content-md-around">-->
<!--            <div>-->
<!--              <h5>-->
<!--                Address: <br />-->
<!--                <a target="_blank" href="https://goo.gl/maps/4uwsbsptu57L2UX66">-->
<!--                  314 Park View Cir, Pigeon Forge, TN 37863, United States-->
<!--                </a>-->
<!--              </h5>-->
<!--              <h5>-->
<!--                Phone: <br />-->
<!--                <a href="tel: '+1(865) 312-6670'"> +1 (865) 312-6670 </a>-->
<!--              </h5>-->
<!--              <h5>-->
<!--                Email: <br />-->
<!--                <a href="mailto:usstartrucking@gmail.com"-->
<!--                  >usstartrucking@gmail.com</a-->
<!--                >-->
<!--              </h5>-->
<!--            </div>-->
<!--            <div class="hours d-none d-md-block">-->
<!--              <h5>Quick links</h5>-->
<!--              <ul>-->
<!--                <li-->
<!--                  v-for="(item, index) in headerLink"-->
<!--                  :key="index"-->
<!--                  @click="-->
<!--                    (activeMenu = !activeMenu),-->
<!--                      (burgerAnimation = !burgerAnimation)-->
<!--                  "-->
<!--                >-->
<!--                  <nuxt-link :to="`/${item.link}`">-->
<!--                    {{ item.text }}-->
<!--                  </nuxt-link>-->
<!--                </li>-->
<!--              </ul>-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
<!--        <div class="col-lg-4 col-12 form">-->
<!--          <div class="relative mb-16" :class="{ 'hasError shake animated': $v.info.email.$anyError }">-->
<!--            <h5 class="mb-20">Contact us</h5>-->
<!--            <div v-show="sent === false">-->
<!--            <svg-->
<!--              width="24"-->
<!--              height="24"-->
<!--              viewBox="0 0 24 24"-->
<!--              fill="none"-->
<!--              xmlns="http://www.w3.org/2000/svg"-->
<!--            >-->
<!--              <path-->
<!--                fill-rule="evenodd"-->
<!--                clip-rule="evenodd"-->
<!--                d="M17 3H7C4.23858 3 2 5.23858 2 8V16C2 18.7614 4.23858 21 7 21H16.9919L17.2087 20.9952C19.8687 20.8794 21.9901 18.6885 21.9939 16.0014L21.997 8.006L22 7.99797C22 5.23601 19.7607 2.99747 17 3ZM17.0009 5L17.1771 5.00494C18.6929 5.09145 19.907 6.30518 19.9949 7.8217L19.998 7.99949L19.9939 15.9995C19.9916 17.6556 18.6479 18.9985 16.991 19H7C5.34315 19 4 17.6569 4 16V8C4 6.34315 5.34315 5 7 5L17.0009 5Z"-->
<!--                fill="white"-->
<!--              />-->
<!--              <g opacity="0.5">-->
<!--                <path-->
<!--                  fill-rule="evenodd"-->
<!--                  clip-rule="evenodd"-->
<!--                  d="M7.29289 8.29289C7.65338 7.93241 8.22061 7.90468 8.6129 8.2097L8.70711 8.29289L9.87868 9.46447C11.0034 10.5892 12.799 10.6342 13.9773 9.59943L14.1213 9.46447L15.2929 8.29289C15.6834 7.90237 16.3166 7.90237 16.7071 8.29289C17.0676 8.65338 17.0953 9.22061 16.7903 9.6129L16.7071 9.70711L15.5355 10.8787C13.6421 12.7721 10.6078 12.8295 8.64525 11.0508L8.46447 10.8787L7.29289 9.70711C6.90237 9.31658 6.90237 8.68342 7.29289 8.29289Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--              </g>-->
<!--            </svg>-->
<!--            <div-->
<!--              class="d-flex"-->
<!--            >-->
<!--              <el-input placeholder="Your Email" v-model="info.email">-->
<!--              </el-input>-->
<!--              <button @click="send()" class="white-btn">SUBMIT</button>-->
<!--            </div>-->
<!--            </div>-->
<!--            <div v-show="sent === true">-->
<!--              <p>Thanks !!! <br> We will contact you in 1 hour</p>-->
<!--            </div>-->
<!--          </div>-->
<!--          <h5 class="mt-20 mb-8">Follow us</h5>-->
<!--          <div class="socials">-->
<!--            <a href="https://www.instagram.com/usstartrucking" target="_blank">-->
<!--              <svg-->
<!--                width="36"-->
<!--                height="36"-->
<!--                viewBox="0 0 36 36"-->
<!--                fill="none"-->
<!--                xmlns="http://www.w3.org/2000/svg"-->
<!--              >-->
<!--                <rect-->
<!--                  width="36"-->
<!--                  height="36"-->
<!--                  rx="6"-->
<!--                  fill="white"-->
<!--                  fill-opacity="0.2"-->
<!--                />-->
<!--                <path-->
<!--                  d="M21.375 9H14.625C11.5189 9 9 11.5189 9 14.625V21.375C9 24.4811 11.5189 27 14.625 27H21.375C24.4811 27 27 24.4811 27 21.375V14.625C27 11.5189 24.4811 9 21.375 9ZM25.3125 21.375C25.3125 23.5463 23.5463 25.3125 21.375 25.3125H14.625C12.4538 25.3125 10.6875 23.5463 10.6875 21.375V14.625C10.6875 12.4538 12.4538 10.6875 14.625 10.6875H21.375C23.5463 10.6875 25.3125 12.4538 25.3125 14.625V21.375Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--                <path-->
<!--                  d="M18 13.5C15.5149 13.5 13.5 15.5149 13.5 18C13.5 20.4851 15.5149 22.5 18 22.5C20.4851 22.5 22.5 20.4851 22.5 18C22.5 15.5149 20.4851 13.5 18 13.5ZM18 20.8125C16.4497 20.8125 15.1875 19.5503 15.1875 18C15.1875 16.4486 16.4497 15.1875 18 15.1875C19.5503 15.1875 20.8125 16.4486 20.8125 18C20.8125 19.5503 19.5503 20.8125 18 20.8125Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--                <path-->
<!--                  d="M22.8369 13.7632C23.1681 13.7632 23.4366 13.4947 23.4366 13.1636C23.4366 12.8324 23.1681 12.564 22.8369 12.564C22.5058 12.564 22.2373 12.8324 22.2373 13.1636C22.2373 13.4947 22.5058 13.7632 22.8369 13.7632Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--              </svg>-->
<!--            </a>-->
<!--            <a href="https://www.facebook.com/usstartrucking" target="_blank">-->
<!--              <svg-->
<!--                width="36"-->
<!--                height="36"-->
<!--                viewBox="0 0 36 36"-->
<!--                fill="none"-->
<!--                xmlns="http://www.w3.org/2000/svg"-->
<!--              >-->
<!--                <rect-->
<!--                  width="36"-->
<!--                  height="36"-->
<!--                  rx="6"-->
<!--                  fill="white"-->
<!--                  fill-opacity="0.2"-->
<!--                />-->
<!--                <path-->
<!--                  d="M22.5 15.1875H19.125V12.9375C19.125 12.3165 19.629 11.8125 20.25 11.8125H21.375V9H19.125C17.2609 9 15.75 10.5109 15.75 12.375V15.1875H13.5V18H15.75V27H19.125V18H21.375L22.5 15.1875Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--              </svg>-->
<!--            </a>-->
<!--            &lt;!&ndash; <a href="" target="_blank">-->
<!--              <svg-->
<!--                width="36"-->
<!--                height="36"-->
<!--                viewBox="0 0 36 36"-->
<!--                fill="none"-->
<!--                xmlns="http://www.w3.org/2000/svg"-->
<!--              >-->
<!--                <rect-->
<!--                  width="36"-->
<!--                  height="36"-->
<!--                  rx="6"-->
<!--                  fill="white"-->
<!--                  fill-opacity="0.2"-->
<!--                />-->
<!--                <path-->
<!--                  d="M27.8554 12.6997C27.6188 11.7495 26.9218 11.0011 26.0367 10.7471C24.4324 10.2856 17.9996 10.2856 17.9996 10.2856C17.9996 10.2856 11.5667 10.2856 9.96246 10.7471C9.07739 11.0011 8.38032 11.7495 8.14373 12.6997C7.71387 14.422 7.71387 18.0155 7.71387 18.0155C7.71387 18.0155 7.71387 21.609 8.14373 23.3313C8.38032 24.2816 9.07739 24.9988 9.96246 25.2527C11.5667 25.7142 17.9996 25.7142 17.9996 25.7142C17.9996 25.7142 24.4324 25.7142 26.0367 25.2527C26.9218 24.9988 27.6188 24.2816 27.8554 23.3313C28.2853 21.609 28.2853 18.0155 28.2853 18.0155C28.2853 18.0155 28.2853 14.422 27.8554 12.6997ZM15.8957 21.2781V14.7529L21.2723 18.0156L15.8957 21.2781Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--              </svg>-->
<!--            </a> &ndash;&gt;-->
<!--            <a href=" https://twitter.com/usstartrucking" target="_blank">-->
<!--              <svg-->
<!--                width="36"-->
<!--                height="36"-->
<!--                viewBox="0 0 36 36"-->
<!--                fill="none"-->
<!--                xmlns="http://www.w3.org/2000/svg"-->
<!--              >-->
<!--                <rect-->
<!--                  width="36"-->
<!--                  height="36"-->
<!--                  rx="6"-->
<!--                  fill="white"-->
<!--                  fill-opacity="0.2"-->
<!--                />-->
<!--                <path-->
<!--                  d="M27 12.2319C26.3306 12.5255 25.6174 12.7201 24.8737 12.8146C25.6387 12.3579 26.2226 11.6401 26.4971 10.775C25.7839 11.2002 24.9964 11.5006 24.1571 11.6682C23.4799 10.9471 22.5146 10.5005 21.4616 10.5005C19.4186 10.5005 17.7739 12.1587 17.7739 14.1916C17.7739 14.4841 17.7986 14.7654 17.8594 15.0331C14.7915 14.8835 12.0769 13.4131 10.2532 11.1732C9.93487 11.7256 9.74813 12.3579 9.74813 13.0385C9.74813 14.3165 10.4062 15.4494 11.3872 16.1052C10.7944 16.094 10.2127 15.9219 9.72 15.6507C9.72 15.662 9.72 15.6766 9.72 15.6912C9.72 17.4845 10.9991 18.974 12.6765 19.3171C12.3761 19.3992 12.0487 19.4386 11.709 19.4386C11.4727 19.4386 11.2342 19.4251 11.0104 19.3756C11.4885 20.837 12.8453 21.9114 14.4585 21.9462C13.203 22.9284 11.6089 23.5201 9.88313 23.5201C9.5805 23.5201 9.29025 23.5066 9 23.4695C10.6346 24.5236 12.5719 25.1255 14.661 25.1255C21.4515 25.1255 25.164 19.5005 25.164 14.6247C25.164 14.4616 25.1584 14.3041 25.1505 14.1477C25.8829 13.628 26.4982 12.9789 27 12.2319Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--              </svg>-->
<!--            </a>-->
<!--            <a-->
<!--              href=" https://www.linkedin.com/company/usstartruckingllc"-->
<!--              target="_blank"-->
<!--            >-->
<!--              <svg-->
<!--                width="36"-->
<!--                height="36"-->
<!--                viewBox="0 0 36 36"-->
<!--                fill="none"-->
<!--                xmlns="http://www.w3.org/2000/svg"-->
<!--              >-->
<!--                <rect-->
<!--                  width="36"-->
<!--                  height="36"-->
<!--                  rx="6"-->
<!--                  fill="white"-->
<!--                  fill-opacity="0.2"-->
<!--                />-->
<!--                <path-->
<!--                  d="M12.3424 28.2857H7.97101V14.5286H12.3424V28.2857ZM10.1567 12.6C8.74244 12.6 7.71387 11.5714 7.71387 10.1572C7.71387 8.74287 8.87101 7.71429 10.1567 7.71429C11.571 7.71429 12.5996 8.74287 12.5996 10.1572C12.5996 11.5714 11.571 12.6 10.1567 12.6ZM28.2853 28.2857H23.9139V20.8286C23.9139 18.6429 23.0139 18 21.7281 18C20.4424 18 19.1567 19.0286 19.1567 20.9571V28.2857H14.7853V14.5286H18.8996V16.4572C19.2853 15.5572 20.8281 14.1429 23.0139 14.1429C25.4567 14.1429 28.0282 15.5572 28.0282 19.8V28.2857H28.2853Z"-->
<!--                  fill="white"-->
<!--                />-->
<!--              </svg>-->
<!--            </a>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
<!--      <div class="row">-->
<!--        <div-->
<!--          class="col-12 footer-bottom pt-24 mt-60"-->
<!--          style="border-top: 1px solid #30313b"-->
<!--        >-->
<!--          <div-->
<!--            class="-->
<!--              d-flex-->
<!--              justify-content-sm-between-->
<!--              flex-wrap-->
<!--              justify-content-center-->
<!--            "-->
<!--          >-->
<!--            <p>© 2023 US Star Trucking. All rights reserved.</p>-->
<!--            <div>-->
<!--              <nuxt-link class="mr-20" to="/privacy-policy">-->
<!--                Privacy Policy-->
<!--              </nuxt-link>-->
<!--              <nuxt-link to="/terms-and-conditions">-->
<!--                Terms & Conditions-->
<!--              </nuxt-link>-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
<!--    </div>-->
<!--  </footer>-->
</template>

<script>
import { mapState } from "vuex";
import { required, email } from "vuelidate/lib/validators";

export default {
  name: "Footer",
  data() {
    return {
      sent: false,
      headerLink: [
        { link: "about", text: "About Us", exact: true },
        { link: "how-it-works", text: "How it Works ?" },
        { link: "transport-options", text: "Transport Options" },
        { link: "who-we-serve", text: "Who We Serve" },
        { link: "contacts", text: "Contacts" },
        { link: "blog", text: "Blog" },
      ],
      footerLink: [
        { link: "about", text: "About Us", exact: true },
        { link: "how-it-works", text: "How it Works ?" },
        { link: "transport-options", text: "Transport Options" },
        { link: "who-we-serve", text: "Who We Serve" },
        { link: "contacts", text: "Contacts" },
        { link: "blog", text: "Blog" },
        { link: "privacy-policy", text: "Privacy Policy" },
        { link: "terms-and-conditions", text: "Terms & Conditions" },
      ],
      info: {
        email: "",
      },
    };
  },

  validations: {
    info: {
      email: { required, email },
    },
  },

  methods: {
    send() {
      this.$v.info.email.$touch();
      if (!this.$v.info.email.$invalid) {
        let message = `Customer emailed for contacting: ${this.info.email}`;
        this.$axios
          .post(
            `https://api.telegram.org/bot5112997233:AAGm9WjddytUrKYCyNd3BKxeL2DTbWe98VE/sendMessage?chat_id=-1001761923713 &text=${message}`
          )
          .finally(() => {
            this.sent = true;
          });
      }
    },
    send2() {
      this.$v.info.email.$touch();
      if (!this.$v.info.email.$invalid) {
        let message = `$50 discount: ${this.info.email}`;
        this.$axios
          .post(
            `https://api.telegram.org/bot6203938662:AAFRYU-1vYs2s2ZUCRyaDIndRA6uObXTY38/sendMessage?chat_id=-1001700785121&text=${message}`
          )
          .finally(() => {
            this.sent = true;
          });
      }
    },
  },
};
</script>

<style lang="scss" scoped></style>
